Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592400 - C++ console unable to find C++ agent
C++ console unable to find C++ agent
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
Development
All Linux
high Severity high
: ---
: ---
Assigned To: Ted Ross
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 15:16 EDT by Robert Rati
Modified: 2013-03-05 10:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-05 10:44:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Agent program (1.46 KB, text/x-c++src)
2010-05-14 15:16 EDT, Robert Rati
no flags Details
The Console application (2.18 KB, text/x-c++src)
2010-05-14 15:16 EDT, Robert Rati
no flags Details
Makefile (1.74 KB, application/octet-stream)
2010-05-14 15:17 EDT, Robert Rati
no flags Details
QMF Schema (77 bytes, text/xml)
2010-05-14 15:17 EDT, Robert Rati
no flags Details
Packed example (1.91 KB, application/x-gzip)
2010-05-31 10:16 EDT, Jan Sarenik
no flags Details
qpidd trace of agent connecting to it (31.95 KB, text/plain)
2011-03-24 09:33 EDT, Jan Sarenik
no flags Details

  None (edit)
Description Robert Rati 2010-05-14 15:16:09 EDT
Created attachment 414134 [details]
The Agent program

Description of problem:
The C++ QMF console seems to have lost the ability to find C++ QMF agents, but the C++ QMF agent is able to be detected by pure-python consoles.  The SessionManager.getObjects call is returning a list with 0 entries.

Version-Release number of selected component (if applicable):
0.7.939184

How reproducible:
100%

Steps to Reproduce:
1. Put all attached files in a single directory
2. make
3. In one terminal, run qmf-agent
4. In another terminal, run qmf-console
  
Actual results:
No agents are returned

Expected results:
Should find the QMF object

Additional info:
Comment 1 Robert Rati 2010-05-14 15:16:39 EDT
Created attachment 414135 [details]
The Console application
Comment 2 Robert Rati 2010-05-14 15:17:00 EDT
Created attachment 414136 [details]
Makefile
Comment 3 Robert Rati 2010-05-14 15:17:33 EDT
Created attachment 414137 [details]
QMF Schema
Comment 4 Jan Sarenik 2010-05-31 10:16:58 EDT
Created attachment 418314 [details]
Packed example

The tarball contains the same files as were previously separately
attached, but in is all-in-one archive and containts also a namespace
change (from mrg::grid com::redhat::grid).
Comment 5 Jan Sarenik 2010-06-03 11:01:50 EDT
Still valid on 0.7.946106-2
Comment 6 Jan Sarenik 2011-03-22 06:27:00 EDT
The agent is not even visible using qpid-tool.
Reproduced with following packages and code
from attached example reproducer:
  python-qpid-qmf-0.9.1079953-3.el5
  python-qpid-0.9.1079482-1.el5
  qpid-cpp-client-devel-0.9.1079953-1.el5
  qpid-cpp-client-0.9.1079953-1.el5
  qpid-cpp-server-0.9.1079953-1.el5
  qpid-qmf-devel-0.9.1079953-3.el5
  qpid-qmf-0.9.1079953-3.el5
  qpid-tools-0.9.1078967-1.el5

-------------------------------------------------------------------------
$ make
/usr/bin/qmf-gen -o ./gen/qmf ./schema.xml
Generated: gen/qmf/com/redhat/grid/TestClass.h
Generated: gen/qmf/com/redhat/grid/TestClass.cpp
Generated: gen/qmf/com/redhat/grid/Package.h
Generated: gen/qmf/com/redhat/grid/Package.cpp
make[1]: Entering directory `/home/jsarenik/bz592400'
make[2]: Entering directory `/home/jsarenik/bz592400'
gcc -c -g -O3 -I. -I./gen -o agent.o agent.cpp
gcc -c -g -O3 -I. -I./gen -o gen/qmf/com/redhat/grid/Package.o gen/qmf/com/redhat/grid/Package.cpp
gcc -c -g -O3 -I. -I./gen -o gen/qmf/com/redhat/grid/TestClass.o gen/qmf/com/redhat/grid/TestClass.cpp
gcc -o ./qmf-agent -g -O3 -lqmf ./agent.o ./gen/qmf/com/redhat/grid/Package.o ./gen/qmf/com/redhat/grid/TestClass.o
gcc -c -g -O3 -I. -I./gen -o console.o console.cpp
gcc -o ./qmf-console -g -O3 -lqmfconsole -lqmf ./console.o ./gen/qmf/com/redhat/grid/Package.o ./gen/qmf/com/redhat/grid/TestClass.o
make[2]: Leaving directory `/home/jsarenik/bz592400'
make[1]: Leaving directory `/home/jsarenik/bz592400'
$ ./qmf-agent &
[1] 13261
$ ./qmf-console 
callGetObjects list size: 0
Error: Failed to find QMF Agent
2011-03-22 11:23:53 warning Session was not closed cleanly: anonymous.qmfc-acaf5162-4723-4fc4-9f28-0baf7b2211f8
2011-03-22 11:23:53 warning Connection [50305 127.0.0.1:5672] closed
Comment 7 Pete MacKinnon 2011-03-22 10:18:51 EDT
Add "-t" to the broker args and see if there are indications that the agent is actually registering. If so, then this is almost certainly a recurring problem in the QMF console.py file - likely that one of Ted's recent patches somehow got left out.
Comment 8 Jan Sarenik 2011-03-24 09:33:13 EDT
Created attachment 487330 [details]
qpidd trace of agent connecting to it

I set long mgmt-pub-interval so the heartbeats do not disturb
the output.
Comment 9 Jan Sarenik 2011-03-24 09:36:49 EDT
Comment on attachment 487330 [details]
qpidd trace of agent connecting to it

The C++ agent was running for a few seconds,
then I killed it by pressing ^C, then I did
the same to the broker.
Comment 10 Jan Sarenik 2011-03-24 09:41:28 EDT
Ted, please explain your devel_ack- a bit more.
Do you plan to fix this problem in the future?
Is the API which was the C++ test agent written in
still supported? Thanks.
Comment 11 Justin Ross 2013-02-24 20:27:17 EST
Ted, can this be closed?
Comment 12 Ted Ross 2013-03-05 10:44:00 EST
This bug is in code that is being deprecated.  There has been no activity for a long time.  I'm closing it.

Note You need to log in before you can comment on or make changes to this bug.